# CallbackSetting

All callback endpoints

## GET /v3/callback

> Get all available callback endpoints

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CallbackSetting","description":"All callback endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CallbackSetting":{"type":"object","required":["id","url"],"properties":{"id":{"type":"integer","format":"integer","description":"Callback setting ID, can be used as callbackSettingId in other endpoints.","readOnly":true},"url":{"type":"string","format":"","description":"This is the url that the system will use when the callback is executed."},"urlDescription":{"type":"string","format":"","description":"Description of the callback setting."},"headers":{"type":"string","format":"","description":"For sending additional meta information about the callback request."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/callback":{"get":{"tags":["CallbackSetting"],"summary":"Get all available callback endpoints","operationId":"getCallbacks","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CallbackSetting"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/callback

> Create a callback

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CallbackSetting","description":"All callback endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CallbackSetting":{"type":"object","required":["id","url"],"properties":{"id":{"type":"integer","format":"integer","description":"Callback setting ID, can be used as callbackSettingId in other endpoints.","readOnly":true},"url":{"type":"string","format":"","description":"This is the url that the system will use when the callback is executed."},"urlDescription":{"type":"string","format":"","description":"Description of the callback setting."},"headers":{"type":"string","format":"","description":"For sending additional meta information about the callback request."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/callback":{"post":{"tags":["CallbackSetting"],"summary":"Create a callback","operationId":"createCallback","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallbackSetting"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CallbackSetting"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/callback/{callbackSettingId}

> Get a callback for a given callbackSettingId

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CallbackSetting","description":"All callback endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CallbackSetting":{"type":"object","required":["id","url"],"properties":{"id":{"type":"integer","format":"integer","description":"Callback setting ID, can be used as callbackSettingId in other endpoints.","readOnly":true},"url":{"type":"string","format":"","description":"This is the url that the system will use when the callback is executed."},"urlDescription":{"type":"string","format":"","description":"Description of the callback setting."},"headers":{"type":"string","format":"","description":"For sending additional meta information about the callback request."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/callback/{callbackSettingId}":{"get":{"tags":["CallbackSetting"],"summary":"Get a callback for a given callbackSettingId","operationId":"getCallback","parameters":[{"name":"callbackSettingId","in":"path","description":"The Id of the callback setting","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CallbackSetting"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid callbackSettingId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/callback/{callbackSettingId}

> Update given callback

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CallbackSetting","description":"All callback endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CallbackSetting":{"type":"object","required":["id","url"],"properties":{"id":{"type":"integer","format":"integer","description":"Callback setting ID, can be used as callbackSettingId in other endpoints.","readOnly":true},"url":{"type":"string","format":"","description":"This is the url that the system will use when the callback is executed."},"urlDescription":{"type":"string","format":"","description":"Description of the callback setting."},"headers":{"type":"string","format":"","description":"For sending additional meta information about the callback request."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/callback/{callbackSettingId}":{"put":{"tags":["CallbackSetting"],"summary":"Update given callback","operationId":"updateCallback","parameters":[{"name":"callbackSettingId","in":"path","description":"The Id of the callback setting","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallbackSetting"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CallbackSetting"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid callbackSettingId"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/callback/{callbackSettingId}

> Delete given callback

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"CallbackSetting","description":"All callback endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/callback/{callbackSettingId}":{"delete":{"tags":["CallbackSetting"],"summary":"Delete given callback","operationId":"deleteCallback","parameters":[{"name":"callbackSettingId","in":"path","description":"The Id of the callback setting","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid callbackSettingId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/callbacksetting-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
